#ifndef __EquipMemMap_ph__
#define __EquipMemMap_ph__

#ifdef __cplusplus
extern "C" {
#endif

int EquipMemMap( char *MemName, void **UserMemAdr, int OptMap);
int EquipMemMapDes( EQUIPDES  *EquipDesMem, void **UserMemAdr, int OptMap);
int EquipMemUnmap(char *MemName);
int EquipMemUnmapDes(EQUIPDES *EquipMemDes);
int ShmMap(EQUIPDES *EquipDesMem, void **UserMemAdr, int OptMap);
} /* Fin de ShmMap(); */
int CpuMemMap(EQUIPDES *EquipDesMem, CPUDES *CpuDes, 	      void **UserMemAdr, int OptMap);
int VmeMemMap(EQUIPDES *EquipDesMem, VMEMEMDES *VmeMemDes, 	      void **UserMemAdr, int OptMap);
int VmeShMemMap(EQUIPDES *EquipDesMem, unsigned long VmeAdr, 		int am, void **UserMemAdr);
int AddMemMapListe(int MemId, void * UserMemAdr, unsigned long LogBaseAdr, 		   int MemSize, int MapType);

#ifdef __cplusplus
}
#endif

#endif
