
set VXIRegisterServer VXI

proc read-VXIregisters       {r}   {global VXIRegisterServer; EG "register :pattern '/$VXIRegisterServer/$r' ?names-and-values"}
proc read-VXIattributes      {r}   {global VXIRegisterServer; EG "register :name    '/$VXIRegisterServer/$r' ?object"}


insert-log "Now rechecking GOCCE LastCard registers"

set values [read-VXIregisters GOCCE*.LastCard]
foreach item $values {
    set register [lindex $item 0]
    set value [lindex $item 1]
    set attributes [read-VXIattributes $register]
    if {[string match *-i1* $attributes] == 1} then {     ;# look for an attribute -i1
        if {$value != 1} then {
            insert-log "$register should have value 1 but discovered to have value $value"
        } else {
#            insert-log "$register has value 1 which is good"
        }
    } else {                           ;#  if no attribute -i1 then register value should be 0
        if {$value != 0} then {
            insert-log "$register should have value 0 but discovered to have value $value"
        } else {
#            insert-log "register $register has value 0 which is good"
        }
   }
}

insert-log "Finished rechecking GOCCE LastCard registers"
