#ifndef __ServShm_ph__
#define __ServShm_ph__

#ifdef __cplusplus
extern "C" {
#endif

int ServShmCreate(char *ServShmName);
int ServShmInit(char *ServShmName, int MemSize);
int MqCreate(char *Mqname, int MqMessSize, int MqMessNb);
int MqReceive(char *Mqname, char *Mess, int MessSize,int *Prio );
int MqSend(char *Mqname, char *Mess, int MessSize,int Prio );
int ServCreate(char *ServName, int ServProtocol, int ServAccesMode, MQ_PARAM *MqParam);
int ServRemove(char *ServName);
int RazMqEntry(MQ_ENTRY *MqEntry);
int InitMqEntry(MQ_ENTRY *MqEntry ,MQ_ENTRY *MqParam);
int RazServEntry(SERV_ENTRY *ServEntry);
int InitServEntry(SERV_ENTRY *ServEntry, SERV_ENTRY *ServParam);
int RazSvccEntry(SVCC_CMD_ENTRY *SvccCmdEntry);
int ShmMap(char *ShmName, int ShmSize, int Prot, char **LogAddr);
int ShmUnMap(char *LogAddr, int MemSize);
int ShmCreate(char *ShmName);
int ShmRemove(char *ShmName);
int SemCreate(char *SemName,int value);
int SemPost(char *SemName);
int SemWait(char *SemName, int Timeout);
int SemRemove(char *SemName);
int ServNameToSemName(char *ServName, char *SemName);
int ServNameToMqName(char *ServName, char *MqName);
int ShmNameToSemName(char *ShmName, char *SemName);
int MajServMem(SERV_MEMORY *ServShm);
int GetNewServEntry(SERV_MEMORY *ServShm, char *ServName, int *ServNumEntry, int *MqNumEntry);
int GetServInfoByName(char *ServName, SERV_ENTRY *ServEntry, MQ_ENTRY *MqEntry);
int GetServInfoByMqName(char *MqName, SERV_ENTRY *ServEntry, MQ_ENTRY *MqEntry);
int GetServInfoByPtid(int Ptid, SERV_ENTRY *ServEntry, MQ_ENTRY *MqEntry);
int MqNameToServName(char *MqName, char *ServName);
int SemNameToServName(char *SemName, char *ServName);
int ListServer();
int GetServInfoByNum(int ServNumEntry, SERV_ENTRY *ServEntry, MQ_ENTRY *MqEntry);
void TestLimites( char *pcMessage );

#ifdef __cplusplus
}
#endif

#endif
