# ecc.patch.tcl
# This file adds some routines to do a global singles en/disable
# The routines are called from the Exogam singles task

# We need to enable Singles Readout on all cards
# and in the PARIL for all crystals/segments

# PARIL.RCS.SingleEnable PRCS0
# SinglesReadoutEnable SINGRDTMODE
# TAC_Range CCR6
# TACStopMode STOPTAC
# PARIL.RCS.TAC_TFG PRCS1

# Pretend we've clicked on the relevant buttons in the windows

proc enable-singles v {
   global allchans allsegs

   set ac $allchans
   set as $allsegs

   click-whichchans 1
   click-whichsegs 1

   click-on PRCS0 $v

   click-whichchans 1
   click-whichsegs 1

   click-on {SINGRDTMODE} $v

   click-whichchans $ac
   click-whichsegs $as

   if {![:query_Mapped  .]} then {return}
   click-redisplay
}

proc set-TAC-range v {
   global allchans allsegs

   set ac $allchans
   set as $allsegs

   click-whichchans 1
   click-whichsegs 1

   click-on CCR6 $v

   click-whichchans $ac
   click-whichsegs $as

   if {![:query_Mapped  .]} then {return}
   click-redisplay
}

proc set-TAC-stop v {
   global allchans allsegs

   set ac $allchans
   set as $allsegs

   click-whichchans 1
   click-whichsegs 1

   click-on STOPTAC $v

   click-whichchans $ac
   click-whichsegs $as

   if {![:query_Mapped  .]} then {return}
   click-redisplay
}

proc set-tim-src v {
   global allchans allsegs

   set ac $allchans
   set as $allsegs

   click-whichchans 1
   click-whichsegs 1

   click-on PRCS1 $v

   click-whichchans $ac
   click-whichsegs $as

   if {![:query_Mapped  .]} then {return}
   click-redisplay
}

